LibreOffice LibreOffice 7.2 SDK API Reference

Public Member Functions | List of all members
XBrowseHistoryRegistry Interface Referencepublished

`import"XBrowseHistoryRegistry.idl";`

Inheritance diagram for XBrowseHistoryRegistry:

## Public Member Functions
void | updateViewData ([in] any Value)
void | createNewEntry ([in] string URL, [in] sequence< com::sun::star::beans::PropertyValue > Arguments, [in] string Title)
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Deprecated:

## Member Function Documentation

## ◆ createNewEntry()

void createNewEntry | ( | [in] string | URL,
|  | [in] sequence< com::sun::star::beans::PropertyValue > | Arguments,
|  | [in] string | Title
| ) |  |

Deprecated:

## ◆ updateViewData()

void updateViewData | ( | [in] any | Value | ) |

Deprecated:

The documentation for this interface was generated from the following file:

- com/sun/star/frame/XBrowseHistoryRegistry.idl